Bug 1459579 - [abrt] [faf] NetworkManager: unknown function(): /usr/sbin/NetworkManager killed by 5
Summary: [abrt] [faf] NetworkManager: unknown function(): /usr/sbin/NetworkManager kil...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager
Version: 7.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Beniamino Galvani
QA Contact: Desktop QE
URL: http://faf.lab.eng.brq.redhat.com/faf...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-06-07 13:58 UTC by Vladimir Benes
Modified: 2017-08-01 09:28 UTC (History)
9 users (show)

Fixed In Version: NetworkManager-1.8.0-8.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 09:28:57 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2299 normal SHIPPED_LIVE Moderate: NetworkManager and libnl3 security, bug fix and enhancement update 2017-08-01 12:40:28 UTC

Description Vladimir Benes 2017-06-07 13:58:30 UTC
This bug has been created based on an anonymous crash report requested by the package maintainer.

Report URL: http://faf.lab.eng.brq.redhat.com/faf/reports/bthash/0d4dce82544d0c1fd2deeb073ed871afb1bd2e9e/

Comment 1 Thomas Haller 2017-06-07 14:30:48 UTC
It is quite unclear why the crash happens.

Maybe th/ppp-unexport-on-shutdown-rh1459579 is the right fix??

Comment 2 Thomas Haller 2017-06-07 15:17:31 UTC
Beniamino pointed out that th/ppp-unexport-on-shutdown-rh1459579 probably doesn't fix the issue. The patch still seems correct to do, so I merged it as https://cgit.freedesktop.org/NetworkManager/NetworkManager/commit/?id=f07dca941dc327e11c4252688020d5fd0b9b3567 (after another fix).


Cause of crash still unclear.

Comment 3 Thomas Haller 2017-06-09 14:19:51 UTC
I still don't know whats the cause.

In the meantime, I backported several minor fixes to ppp code to nm-1-8:
https://cgit.freedesktop.org/NetworkManager/NetworkManager/commit/?id=3cca3b50e28e4505f0e5f801ac0de4084ef03ba0

For lack of a better idea, I suggest to bring those patches to RHEL and close the bug as fixed. Maybe they fix it, otherwise, if it happens again, we know that the issue is not there.


Assigning to Beniamino.

Comment 4 Thomas Haller 2017-06-11 21:18:53 UTC
I was unable to determine the cause for sure. There is a chance that recent fixes (comment 3) fix the crash.

I'd like to backport to rhel-7.4, because the crash is not clearly reproducible and it would help to narrow down the search.
The patches do improve the code, I just cannot say for sure how severe the issues are without it.

Requesting blocker

Comment 6 errata-xmlrpc 2017-08-01 09:28:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2299


Note You need to log in before you can comment on or make changes to this bug.